# this file depends on the creation of the correct directories in Makefile

include buildTools.make
include includePath.make

CXXFLAGS = -g3 -Wall
VPATH:=$(VPATH):../examples
EXAMPLES:=$(patsubst ../examples/%.cpp, %, $(wildcard ../examples/*.cpp))
LIBPATHS = -L"Release" -L"Debug"
DEBUG_LIBS = -lOdemXD
RELEASE_LIBS = -lOdemX

debugExamples : $(addprefix Debug/Examples/, $(EXAMPLES))
	@if test -f error.log -a ! -s error.log; then rm error.log; fi
	@if test -f error.log;\
	then echo; echo There where errors during build process:; echo;\
	cat error.log;\
	echo; echo see error.log for detail; echo;\
	fi

Debug/Examples/% : %.cpp 
	@echo Compile $<
	@if $(CC) $(CXXFLAGS) $(ODEMX_CXXFLAGS) $(INCLUDEPATHS) $< \
		$(LIBPATHS) -o $@ $(DEBUG_LIBS) 2>>error.log; \
		then echo ok; else echo error; fi

releaseExamples : $(addprefix Release/Examples/, $(EXAMPLES))
	@if test -f error.log -a ! -s error.log; then rm error.log; fi
	@if test -f error.log;\
	then echo; echo There where errors during build process:; echo;\
	cat error.log;\
	echo; echo see error.log for detail; echo;\
	fi

Release/Examples/% : %.cpp 
	@echo Compile $<
	@if $(CC) $(CXXFLAGS) $(ODEMX_CXXFLAGS) $(INCLUDEPATHS) $< \
		$(LIBPATHS) -o $@ $(RELEASE_LIBS) 2>>error.log; \
		then echo ok; else echo error; fi
