include buildTools.make includePath.make
include library.make

prep :
	@if test -f error.log; then \
	rm -f error.log; \
	echo Removed old error.log; \
	fi

dep : $(patsubst %.o,dep/%.d,$(OBJECTS))

dep/%.d: %.cpp dep_dir
	@set -e; rm -f $@; \
	$(CC) -MM $(INCLUDEPATHS) $< > $@.$$$$; \
	sed "s,\($*\)\.o[ :]*,Release\/\1.o $@ : ,g" < $@.$$$$ > $@; \
	rm -f $@.$$$$; \
	$(CC) -MM $(INCLUDEPATHS) $< > $@.$$$$; \
	sed "s,\($*\)\.o[ :]*,Debug\/\1.o $@ : ,g" < $@.$$$$ >> $@; \
	rm -f $@.$$$$

odemx_path :
	@echo 'const std::string odemxPath("$(shell cd ..; pwd;)");' > ../util/ODEMxPath.h;
	
clean ::
	@if test -f ../util/ODEMxPath.h; then \
	rm -f ../util/ODEMxPath.h; \
	echo Removed ODEMxPath.h; \
	fi
	