test_runner: link_test_objects
	@rm -rf Test/Objects/*.gcda

include buildTools.make
include unit_test_paths.make

CXXFLAGS = -g3 -O0 -Wall -fprofile-arcs -ftest-coverage
LIBS = -lUnitTest++ -lOdemXT -lgcov

VPATH:=$(VPATH):../test/Main
OBJECTS:=$(OBJECTS) $(patsubst ../test/Main/%.cpp, %.o, $(wildcard ../test/Main/*.cpp))

VPATH:=$(VPATH):../test/TestBase
OBJECTS:=$(OBJECTS) $(patsubst ../test/TestBase/%.cpp, %.o, $(wildcard ../test/TestBase/*.cpp))

VPATH:=$(VPATH):../test/TestCoroutine
OBJECTS:=$(OBJECTS)	$(patsubst ../test/TestCoroutine/%.cpp, %.o, $(wildcard ../test/TestCoroutine/*.cpp))

VPATH:=$(VPATH):../test/TestDisplay
OBJECTS:=$(OBJECTS) $(patsubst ../test/TestDisplay/%.cpp, %.o, $(wildcard ../test/TestDisplay/*.cpp))

VPATH:=$(VPATH):../test/TestProtocol
OBJECTS:=$(OBJECTS) $(patsubst ../test/TestProtocol/%.cpp, %.o, $(wildcard ../test/TestProtocol/*.cpp))

VPATH:=$(VPATH):../test/TestRandom
OBJECTS:=$(OBJECTS) $(patsubst ../test/TestRandom/%.cpp, %.o, $(wildcard ../test/TestRandom/*.cpp))

VPATH:=$(VPATH):../test/TestStatistics
OBJECTS:=$(OBJECTS) $(patsubst ../test/TestStatistics/%.cpp, %.o, $(wildcard ../test/TestStatistics/*.cpp))

VPATH:=$(VPATH):../test/TestSynchronization
OBJECTS:=$(OBJECTS) $(patsubst ../test/TestSynchronization/%.cpp, %.o, $(wildcard ../test/TestSynchronization/*.cpp))

VPATH:=$(VPATH):../test/TestUtil
OBJECTS:=$(OBJECTS) $(patsubst ../test/TestUtil/%.cpp, %.o, $(wildcard ../test/TestUtil/*.cpp))

link_test_objects: test_objects
	@rm -rf Test/test_runner
	@@if ! test -f error.log; then \
	$(CC) $(LIB_PATHS) Test/Objects/*.o -o Test/test_runner $(LIBS); \
	fi

test_objects : $(patsubst %.o, Test/Objects/%.o, $(OBJECTS))
	@if test -f error.log -a ! -s error.log; then rm error.log; fi
	@if test -f error.log;\
	then echo; echo There where errors during build process:; echo;\
	cat error.log;\
	echo; echo see error.log for details; echo;\
	fi

Test/Objects/%.o : %.cpp
	@echo Compile $< to target $@
	@$(CC) -c $(CXXFLAGS) $(ODEMX_CXXFLAGS) $(INCLUDEPATHS) -I$(UNIT_TEST_PP_INCLUDE_PATH) $< -o $@ 2>>error.log || cat error.log
