//----------------------------------------------------------------------------
//	Copyright (C) 2002, 2004 Humboldt-Universitaet zu Berlin
//
//	This library is free software; you can redistribute it and/or
//	modify it under the terms of the GNU Lesser General Public
//	License as published by the Free Software Foundation; either
//	version 2.1 of the License, or (at your option) any later version.
//
//	This library is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//	Lesser General Public License for more details.
//
//	You should have received a copy of the GNU Lesser General Public
//	License along with this library; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
//----------------------------------------------------------------------------
/**	\file odemx.h

	\author Ralf Gerstenberger

	\date created at 2002/08/05

	\brief Includes ODEMx header files

	This file includes all other header files of odemx.
	
	\since 1.0
*/

#ifndef ODEMX_ODEMX_INCLUDED
#define ODEMX_ODEMX_INCLUDED

// base package
#include <odemx/base/Continuous.h>
#include <odemx/base/Event.h>
#include <odemx/base/ExecutionList.h>
#include <odemx/base/InSort.h>
#include <odemx/base/Process.h>
#include <odemx/base/ProcessQueue.h>
#include <odemx/base/Sched.h>
#include <odemx/base/Simulation.h>

// coroutine package
#include <odemx/coroutine/Coroutine.h>
#include <odemx/coroutine/CoroutineContext.h>
#include <odemx/coroutine/System.h>

// display package
#include <odemx/display/HtmlGenerator.h>
#include <odemx/display/HtmlReport.h>
#include <odemx/display/HtmlTrace.h>
#include <odemx/display/TimeFormat.h>
#include <odemx/display/TraceFilter.h>
#include <odemx/display/XmlReport.h>
#include <odemx/display/XmlTrace.h>

// protocol package
#include <odemx/protocol/NetTopology.h>
#include <odemx/protocol/ProtocolEntity.h>
#include <odemx/protocol/ProtocolLayer.h>
#include <odemx/protocol/ProtocolMessage.h>
#include <odemx/protocol/ProtocolSimulation.h>
#include <odemx/protocol/ProtocolStack.h>
#include <odemx/protocol/TransmissionEvents.h>
#include <odemx/protocol/TransmissionMedium.h>

// random package
#include <odemx/random/ContinuousDist.h>
#include <odemx/random/DiscreteDist.h>
#include <odemx/random/Dist.h>

// statistics package
#include <odemx/statistics/Statistics.h>

// synchronization package
#include <odemx/synchronization/Bin.h>
#include <odemx/synchronization/BinTemplate.h>
#include <odemx/synchronization/CondQ.h>
#include <odemx/synchronization/Memory.h>
#include <odemx/synchronization/Port.h>
#include <odemx/synchronization/Queue.h>
#include <odemx/synchronization/Res.h>
#include <odemx/synchronization/ResTemplate.h>
#include <odemx/synchronization/Timer.h>
#include <odemx/synchronization/Wait.h>
#include <odemx/synchronization/WaitCondition.h>
#include <odemx/synchronization/WaitQ.h>

// util package
#include <odemx/util/ErrorHandling.h>
#include <odemx/util/FileInfo.h>
#include <odemx/util/LabeledObject.h>
#include <odemx/util/MarkType.h>
#include <odemx/util/Observable.h>
#include <odemx/util/Report.h>
#include <odemx/util/SimTime.h>
#include <odemx/util/StatisticObject.h>
#include <odemx/util/Table.h>
#include <odemx/util/Trace.h>
#include <odemx/util/TypedObject.h>
#include <odemx/util/TypeNames.h>
#include <odemx/util/Version.h>

#endif
