//----------------------------------------------------------------------------
//	Copyright (C) 2002 - 2008 Humboldt-Universitaet zu Berlin
//
//	This library is free software; you can redistribute it and/or
//	modify it under the terms of the GNU Lesser General Public
//	License as published by the Free Software Foundation; either
//	version 2.1 of the License, or (at your option) any later version.
//
//	This library is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//	Lesser General Public License for more details.
//
//	You should have received a copy of the GNU Lesser General Public
//	License along with this library; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
//----------------------------------------------------------------------------
/**	\file WaitCondition.cpp

	\author Ronald Kluth

	\date created at 2008/12/18

	\brief Implementation of class WaitCondition

	\sa WaitCondition.h

	\since 2.1
*/

#include <odemx/synchronization/WaitCondition.h> 

using namespace odemx;

WaitCondition::WaitCondition( Simulation* sim, Label l )
:	Memory( sim, l, Memory::WAIT_CONDITION ),
	DefLabeledObject( sim, l )
{
}

bool WaitCondition::available() 
{
	return false;
}

void WaitCondition::notify()
{
	Memory::alert();
}
