/**
 * @file TestPort.cpp
 * @date Jul 27, 2008
 * @author Ronald Kluth
 *
 * @brief Tests for ODEMx class template PortT
 */

#include "TestSynchronization.h"

/// @cond DOXYGEN_SKIP
SUITE( Synchronization )
{
/// @endcond

	TEST( PortConstructionDestruction )
	{
		Label label = "PortConstructionDefaultSim";
		PortT< PortTestElement >* port1 = new PortT< PortTestElement >( label, 1000 );
		CHECK_EQUAL( label, port1 -> getLabel() );
		CHECK_EQUAL( getDefaultSimulation(), port1 -> getStatisticManager() );

		label = "PortConstructionUserSim";
		PortT< PortTestElement >* port2 = new PortT< PortTestElement >( label, 1000 );
		CHECK_EQUAL( label, port2 -> getLabel() );
		CHECK_EQUAL( getDefaultSimulation(), port1 -> getStatisticManager() );

		delete port1;
		delete port2;
	}

/// @cond DOXYGEN_SKIP
}
/// @endcond

