/**
 * @file TestTranslate.cpp
 * @date Jul 7, 2008
 * @author Ronald Kluth
 *
 * @brief Test for odemx::translate()
 */

#include "TestUtil.h"

/// @cond DOXYGEN_SKIP
SUITE( Util )
{
/// @endcond

	/**
	 * @test odemx::translate(const string&)
	 *
	 * This test calls translate on "Observable<SimulationObserver>".
	 *
	 * Expected function call effects:
	 * @li there is no "<" in the string
	 * @li there is no ">" in the string
	 * @li the replacements "&lt" and "&gt" are found in the string
	 */
	TEST( Translate )
	{
		string str = translate( "Observable<SimulationObserver>" );

		CHECK_EQUAL( string::npos, str.find( "<" ) );
		CHECK_EQUAL( string::npos, str.find( ">" ) );
		CHECK( str.find( "&lt" ) != string::npos );
		CHECK( str.find( "&gt" ) != string::npos );
	}

/// @cond DOXYGEN_SKIP
}
/// @endcond

