/**
 * @file TestVersion.cpp
 * @date Jul 7, 2008
 * @author Ronald Kluth
 *
 * @brief Tests for ODEMx class Version
 */

#include "TestUtil.h"

/// @cond DOXYGEN_SKIP
SUITE( Util )
{
/// @endcond

	/**
	 * @test odemx::Version
	 *
	 * This test checks if the return value of \c Version::getString()
	 * corresponds to the values \c Version::getMajor() and
	 * \c Version::getMinor().
	 */
	TEST( VersionGetString )
	{
		ostringstream versionString;
		versionString << Version::getMajor() << '.' << Version::getMinor();

		CHECK_EQUAL( versionString.str(), Version::getString() );
	}

/// @cond DOXYGEN_SKIP
}
/// @endcond
