//----------------------------------------------------------------------------
//	Copyright (C) 2002 - 2008 Humboldt-Universitaet zu Berlin
//
//	This library is free software; you can redistribute it and/or
//	modify it under the terms of the GNU Lesser General Public
//	License as published by the Free Software Foundation; either
//	version 2.1 of the License, or (at your option) any later version.
//
//	This library is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//	Lesser General Public License for more details.
//
//	You should have received a copy of the GNU Lesser General Public
//	License along with this library; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
//----------------------------------------------------------------------------
/**	\file FileInfo.h

	\author Ronald Kluth
	<!-- [\author <author>]* -->

	\date created at 2007/07/15

	\brief Declaration of struct FileInfo, typedef FileList

	\sa XmlTrace.h, ProtocolXmlTrace.h, XmlTrace.cpp, ProtocolXmlTrace.cpp

	<!-- [detailed description] -->

	

	\since 2.0
*/



#ifndef ODEMX_FILEINFO_INCLUDED
#define ODEMX_FILEINFO_INCLUDED

#include <odemx/util/SimTime.h>

#include <string>
#include <vector>


namespace odemx {


	/** \class FileInfo
		
		\ingroup display
		
		\author Ronald Kluth
	
		\brief store information about the marks contained in xml files 
	
		\since 2.0
	*/
	struct FileInfo {
		std::string name;
		std::string startTime;
		std::string endTime;
	};


	/** \var typedef std::vector< std::string > FileList;
	 
		\brief vector of Objects containing file information: name, start and end times
	*/
	typedef std::vector< FileInfo > FileList;

}

#endif /* ODEMX_FILEINFO_INCLUDED */
