//----------------------------------------------------------------------------
//	Copyright (C) 2002 - 2008 Humboldt-Universitaet zu Berlin
//
//	This library is free software; you can redistribute it and/or
//	modify it under the terms of the GNU Lesser General Public
//	License as published by the Free Software Foundation; either
//	version 2.1 of the License, or (at your option) any later version.
//
//	This library is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//	Lesser General Public License for more details.
//
//	You should have received a copy of the GNU Lesser General Public
//	License along with this library; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
//----------------------------------------------------------------------------
/**	\file Translate.h

	\author Ronald Kluth

	\date created at 2008/03/09

	\brief Declaration of odemx::translate()

	\sa HtmlReport.h, HtmlTrace.h, XmlReport.h, XmlTrace.h

	<!-- [detailed description] -->

	\since 2.1
*/

#ifndef ODEMX_TRANSLATE_INCLUDED
#define ODEMX_TRANSLATE_INCLUDED

#include <string>

namespace odemx {

	/// filter strings for mark-up languages such as XML or HTML
	extern const std::string translate( const std::string& s );

}

#endif /* ODEMX_TRANSLATE_INCLUDED */
